sequence.queue

## Class RealQueue

- java.lang.Object
- - sequence.basesequence.AbstractBaseSequence
  - - sequence.queue.RealQueue

- All Implemented Interfaces:
    CommonBase, BaseSequence, Queue

      public class RealQueue
      extends AbstractBaseSequence
      implements Queue

  Implementace fronty.

  Popis: wrapper nad frontovým seznamem.

  Užití: instance této třídy lze používat v aplikacích.

- - ### Field Summary

    - ### Fields inherited from class sequence.basesequence.AbstractBaseSequence

      `count`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealQueue(ListFactory aListFactory, int aSize)` Vyrobí instanci třídy RealQueue.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Element` | `get()` Vyjme první prvek z fronty.
    `protected BaseListInterface` | `getList()`
    `void` | `put(Element elem)` Vloží nový prvek na konec fronty.

    - ### Methods inherited from class sequence.basesequence.AbstractBaseSequence

      `getCount, getElement, getMoveCounter, isEmpty, isFull, resetMoveCounter, setElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface sequence.sequenceinterface.BaseSequence

      `getCount, isEmpty, isFull`

    - ### Methods inherited from interface list.listinterface.CommonBase

      `getElement, getMoveCounter, resetMoveCounter, setElement`

- - ### Constructor Detail

    - #### RealQueue

          public RealQueue(ListFactory aListFactory,
                           int aSize)

      Vyrobí instanci třídy RealQueue. Je to wrapper okolo frontového seznamu.

      Užití: zejména k inicializaci proměnných typu Queue.

      Parameters:
        `aListFactory` - továrna na seznamy
        `aSize` - požadovaná kapacita fronty

  - ### Method Detail

    - #### getList

          protected BaseListInterface getList()

      Specified by:
        `getList` in class `AbstractBaseSequence`
      Returns:
        zapouzdřené úložiště

    - #### get

          public Element get()

      Description copied from interface: `Queue`
      Vyjme první prvek z fronty.

      Vyžaduje: not isEmpty

      Splní: not isFull

      Mění: vyjme prvek z fronty

      Specified by:
        `get` in interface `Queue`
      Returns:
        nejstarší prvek, který byl uložen do fronty

    - #### put

          public void put(Element elem)

      Description copied from interface: `Queue`
      Vloží nový prvek na konec fronty.

      Vyžaduje: not isFull

      Splní: not isEmpty

      Mění: přidá prvek do fronty

      Specified by:
        `put` in interface `Queue`
      Parameters:
        `elem` - prvek, který se má připojit na konec fronty